#include <avr/io.h>
#include <util/delay.h>

int main(void){
	// pin 13
	DDRB = 0xC0;

	PORTB |= 0x40; // forward
	int i = 0;
	int sens = 0;
	while(1){
		// step
		PORTB |= 0x80;
		_delay_ms(5);
		PORTB &= 0x7F;
		_delay_ms(5);
		// dir
		i++;
		if(i > 200){
			i = 0;
			sens = 1 - sens;
			if(sens == 0)
				PORTB |= 0x40; // forward
			else
				PORTB &= 0xBF; // backward
		}
	}
	return 0;
}

